# xoxys.droneci
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.droneci/status.svg)](https://drone.rknet.org/ansible/xoxys.droneci)


Setup Drone CI base server

## Table of content

* [Default Variables](#default-variables)
  * [droneci_version](#droneci_version)
  * [droneci_service_directory](#droneci_service_directory)
  * [droneci_docker_socket_path](#droneci_docker_socket_path)
  * [droneci_host](#droneci_host)
  * [droneci_secret](#droneci_secret)
  * [droneci_restart_policy](#droneci_restart_policy)
  * [droneci_server_container_name](#droneci_server_container_name)
  * [droneci_server_image](#droneci_server_image)
  * [droneci_server_exposed_port](#droneci_server_exposed_port)
  * [droneci_server_exposed_ip](#droneci_server_exposed_ip)
  * [droneci_server_extra_hosts](#droneci_server_extra_hosts)
  * [droneci_server_privileged](#droneci_server_privileged)
  * [droneci_agent_container_name](#droneci_agent_container_name)
  * [droneci_agent_image](#droneci_agent_image)
  * [droneci_agent_capacity](#droneci_agent_capacity)
  * [droneci_agent_privileged](#droneci_agent_privileged)
  * [droneci_db_type](#droneci_db_type)
  * [droneci_db_server](#droneci_db_server)
  * [droneci_db_port](#droneci_db_port)
  * [droneci_db_name](#droneci_db_name)
  * [droneci_db_user](#droneci_db_user)
  * [droneci_db_password](#droneci_db_password)
  * [droneci_db_ssl_mode](#droneci_db_ssl_mode)
  * [droneci_gitea_enabled](#droneci_gitea_enabled)
  * [droneci_gitea_server](#droneci_gitea_server)
  * [droneci_gitea_skip_verify](#droneci_gitea_skip_verify)
  * [droneci_no_proxy](#droneci_no_proxy)
  * [droneci_license_key](#droneci_license_key)
  * [droneci_server_memory_limit](#droneci_server_memory_limit)
  * [droneci_server_memory_reservation](#droneci_server_memory_reservation)
  * [droneci_agent_memory_limit](#droneci_agent_memory_limit)
  * [droneci_agent_memory_reservation](#droneci_agent_memory_reservation)
  * [droneci_admin](#droneci_admin)
  * [droneci_http_proxy](#droneci_http_proxy)
  * [droneci_https_proxy](#droneci_https_proxy)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### droneci_version

#### Default value

```YAML
droneci_version: 1.6.0
```

### droneci_service_directory

#### Default value

```YAML
droneci_service_directory: /var/lib/docker/services/drone-ci
```

### droneci_docker_socket_path

#### Default value

```YAML
droneci_docker_socket_path: /var/run/docker.sock
```

### droneci_host

#### Default value

```YAML
droneci_host: http://localhost
```

### droneci_secret

#### Default value

```YAML
droneci_secret: myveryownsecret
```

### droneci_restart_policy

#### Default value

```YAML
droneci_restart_policy: always
```

### droneci_server_container_name

#### Default value

```YAML
droneci_server_container_name: drone-server
```

### droneci_server_image

#### Default value

```YAML
droneci_server_image: drone/drone:{{ droneci_version }}
```

### droneci_server_exposed_port

#### Default value

```YAML
droneci_server_exposed_port: 8080
```

### droneci_server_exposed_ip

#### Default value

```YAML
droneci_server_exposed_ip: 127.0.0.1
```

### droneci_server_extra_hosts

#### Default value

```YAML
droneci_server_extra_hosts: []
```

### droneci_server_privileged

#### Default value

```YAML
droneci_server_privileged: false
```

### droneci_agent_container_name

#### Default value

```YAML
droneci_agent_container_name: drone-agent
```

### droneci_agent_image

#### Default value

```YAML
droneci_agent_image: drone/agent:{{ droneci_version }}
```

### droneci_agent_capacity

#### Default value

```YAML
droneci_agent_capacity: 2
```

### droneci_agent_privileged

#### Default value

```YAML
droneci_agent_privileged: false
```

### droneci_db_type

#### Default value

```YAML
droneci_db_type: sqlite
```

### droneci_db_server

#### Default value

```YAML
droneci_db_server: localhost
```

### droneci_db_port

#### Default value

```YAML
droneci_db_port: 5432
```

### droneci_db_name

#### Default value

```YAML
droneci_db_name: droneci
```

### droneci_db_user

#### Default value

```YAML
droneci_db_user: pgdroneci
```

### droneci_db_password

#### Default value

```YAML
droneci_db_password: secure
```

### droneci_db_ssl_mode

#### Default value

```YAML
droneci_db_ssl_mode: disable
```

### droneci_gitea_enabled

#### Default value

```YAML
droneci_gitea_enabled: false
```

### droneci_gitea_server

#### Default value

```YAML
droneci_gitea_server: http://my-git.example.com
```

### droneci_gitea_skip_verify

#### Default value

```YAML
droneci_gitea_skip_verify: false
```

### droneci_no_proxy

#### Default value

```YAML
droneci_no_proxy:
  - drone-server
  - drone-agent
```

### droneci_license_key

#### Default value

```YAML
droneci_license_key: _unset_
```

### droneci_server_memory_limit

#### Default value

```YAML
droneci_server_memory_limit: _unset_
```

#### Example usage

```YAML
droneci_server_memory_limit: 512m
```

### droneci_server_memory_reservation

#### Default value

```YAML
droneci_server_memory_reservation: _unset_
```

#### Example usage

```YAML
droneci_server_memory_reservation: 256m
```

### droneci_agent_memory_limit

#### Default value

```YAML
droneci_agent_memory_limit: _unset_
```

#### Example usage

```YAML
droneci_agent_memory_limit: 512m
```

### droneci_agent_memory_reservation

#### Default value

```YAML
droneci_agent_memory_reservation: _unset_
```

#### Example usage

```YAML
droneci_agent_memory_reservation: 256m
```

### droneci_admin

#### Default value

```YAML
droneci_admin: _unset_
```

### droneci_http_proxy

#### Default value

```YAML
droneci_http_proxy: _unset_
```

### droneci_https_proxy

#### Default value

```YAML
droneci_https_proxy: _unset_
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
